## ayatana-indicator-datetime 0.8.0

=== CMakeLists.txt ===
project (ayatana-indicator-datetime C CXX)
cmake_minimum_required (VERSION 2.8.9)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

include (GNUInstallDirs)

set (PROJECT_VERSION "0.8.0")
set (PACKAGE ${CMAKE_PROJECT_NAME})
option (enable_tests "Build the package's automatic tests." ON)
option (enable_lcov "Generate lcov code coverage reports." ON)

##
##  GNU standard installation directories
##

set (CMAKE_INSTALL_PKGLIBEXECDIR "${CMAKE_INSTALL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")
set (CMAKE_INSTALL_FULL_PKGLIBEXECDIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

##
## Gettext
##

set (GETTEXT_PACKAGE "ayatana-indicator-datetime")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
                 -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

set(ALARM_DEFAULT_SOUND    "/usr/share/sounds/ubuntu/ringtones/Alarm clock.ogg")
set(CALENDAR_DEFAULT_SOUND "/usr/share/sounds/ubuntu/ringtones/Marimbach.ogg")
add_definitions(-DALARM_DEFAULT_SOUND="${ALARM_DEFAULT_SOUND}"
                -DCALENDAR_DEFAULT_SOUND="${CALENDAR_DEFAULT_SOUND}")

##
##  Check for prerequisites
##

find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)

pkg_check_modules (SERVICE_DEPS REQUIRED
                   glib-2.0>=2.36
                   gio-unix-2.0>=2.36
                   libical>=0.48
                   libecal-2.0>=3.16
                   libedataserver-1.2>=3.5
                   gstreamer-1.0>=1.2
                   libnotify>=0.7.6
                   properties-cpp>=0.0.1
                   libaccounts-glib>=1.18)
include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

set(URL_DISPATCHER_1_REQUIRED_VERSION 1)
pkg_check_modules(URLDISPATCHER
                  url-dispatcher-1>=${URL_DISPATCHER_1_REQUIRED_VERSION}
)
include_directories(${URLDISPATCHER_INCLUDE_DIRS})

# url-dispatcher support is optional...
if(URLDISPATCHER_FOUND)
    add_definitions( -DHAS_URLDISPATCHER )
endif()

if(EXISTS "/usr/share/accountsservice/interfaces/com.ubuntu.touch.AccountsService.Sound.xml")
  set (HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS ON)
  add_definitions ( -DHAS_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS )
else()
  set (HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS OFF)
endif()

##
##  custom targets
##

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (clean-coverage
                   COMMAND find ${CMAKE_BINARY_DIR} -name '*.gcda' | xargs rm -f)

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

##
##  Actual building
##

set (CC_WARNING_ARGS " -Wall")
set (CXX_WARNING_ARGS " -Wall")

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

# testing & coverage
if (${enable_tests})
  pkg_check_modules (DBUSTEST REQUIRED dbustest-1>=14.04.0)
  set (GTEST_SOURCE_DIR /usr/src/gtest/src)
  set (GTEST_INCLUDE_DIR ${GTEST_SOURCE_DIR}/..)
  set (GTEST_LIBS -lpthread)
  enable_testing ()
  if (${enable_lcov})
    include(GCov)
  endif ()
endif ()

# actually build things
add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)
if (${enable_tests})
  add_subdirectory(tests)
endif ()

=== debian/changelog ===
ayatana-indicator-datetime (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Versioned D on ayatana-indicator-common (>= 0.8.0).
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 10:08:16 +0200

ayatana-indicator-datetime (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_CMakeLists.txt-Drop-workaround-for-missing-libexec-d.patch.
      Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Aug 2020 18:13:06 +0200

ayatana-indicator-datetime (0.4.0-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #966170).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jul 2020 12:13:39 +0200

=== debian/control ===
Source: ayatana-indicator-datetime
Section: misc
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               dbus,
               debhelper-compat (= 13),
               intltool,
               libaccounts-glib-dev (>= 1.18),
               libglib2.0-dev (>= 2.35.4),
               libnotify-dev (>= 0.7.6),
               libgstreamer1.0-dev,
               libecal2.0-dev (>= 3.16) | libecal1.2-dev (>= 3.16),
               libical-dev (>= 1.0),
               libedataserver1.2-dev (>= 3.5),
#              accountsservice-ubuntu-schemas,
#              liburl-dispatcher1-dev,
               libproperties-cpp-dev,
# for the test harness:
               libgtest-dev,
               libdbustest1-dev,
               dbus-test-runner,
               python3-dbusmock,
# for 12h/24h locale unit tests:
               locales,
# for running live EDS tests:
               evolution-data-server,
               gvfs-daemons,
               systemd [linux-any],
# for phone alarm/calendar notification sound tests:
#              ubuntu-touch-sounds,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/ArcticaProject/ayatana-indicator-datetime
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime/

Package: ayatana-indicator-datetime
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
         libglib2.0-bin,
Recommends: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
            evolution-data-server,
            geoclue-provider,
Description: Ayatana Indicator providing clock and calendar
 This Ayatana Indicator provides a combined calendar, clock, alarm and
 event management tool.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-datetime/ayatana-indicator-datetime-(.+)\.tar\.gz

## ayatana-indicator-datetime 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 include (GNUInstallDirs)
 
-set (PROJECT_VERSION "0.8.0")
+set (PROJECT_VERSION "0.8.1")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 option (enable_tests "Build the package's automatic tests." ON)
 option (enable_lcov "Generate lcov code coverage reports." ON)

=== debian/changelog ===
ayatana-indicator-datetime (0.8.1-2) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Mention desktop envs that support system indicators in LONG_DESCRIPTION.
    + Typo fix in LONG_DESCRIPTION.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Nov 2020 15:09:09 +0100

ayatana-indicator-datetime (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B:/R: relation to indicator datetime. (LP:#1893028, LP:#1893244).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 22:14:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 0.10),
                dbus,
@@ -47,6 +48,12 @@
 Recommends: indicator-applet | mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
             evolution-data-server,
             geoclue-provider,
+Breaks: indicator-datetime,
+Replaces: indicator-datetime,
 Description: Ayatana Indicator providing clock and calendar
  This Ayatana Indicator provides a combined calendar, clock, alarm and
  event management tool.
+ .
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ etc.).

## ayatana-indicator-datetime 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 include (GNUInstallDirs)
 
-set (PROJECT_VERSION "0.8.1")
+set (PROJECT_VERSION "0.8.2")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 option (enable_tests "Build the package's automatic tests." ON)
 option (enable_lcov "Generate lcov code coverage reports." ON)

=== data/CMakeLists.txt ===
##
##  GSettings schema
##

include (UseGSettings)
set (SCHEMA_NAME "org.ayatana.indicator.datetime.gschema.xml")
set (SCHEMA_FILE_IN_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in.in")
set (SCHEMA_FILE_IN    "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}.in")
set (SCHEMA_FILE       "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}")
# generate the .xml.in file so cmake constants are included
configure_file(${SCHEMA_FILE_IN_IN} ${SCHEMA_FILE_IN})
# generate the .xml file using intltool
set (ENV{LC_ALL} "C")
execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")

# let UseGSettings do the rest
add_schema (${SCHEMA_FILE})

##
##  Systemd Unit File
##

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})

    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

    # build it
    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

    # install it
    install (FILES "${SYSTEMD_USER_FILE}"
             DESTINATION "${SYSTEMD_USER_DIR}")
endif()

##
##  XDG Autostart File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##
##  Ayatana Indicator File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicator install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.datetime")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")

=== src/CMakeLists.txt ===
set (SERVICE_LIB "indicatordatetimeservice")
set (SERVICE_EXEC "ayatana-indicator-datetime-service")

add_definitions (-DG_LOG_DOMAIN="ayatana-indicator-datetime")

# handwritten sources
set (SERVICE_C_SOURCES
     utils.c)
set (SERVICE_CXX_SOURCES
     actions.cpp
     actions-live.cpp
     alarm-queue-simple.cpp
     awake.cpp
     appointment.cpp
     clock.cpp
     clock-live.cpp
     date-time.cpp
     engine-eds.cpp
     exporter.cpp
     formatter.cpp
     formatter-desktop.cpp
     haptic.cpp
     locations.cpp
     locations-settings.cpp
     menu.cpp
     myself.cpp
     notifications.cpp
     planner.cpp
     planner-aggregate.cpp
     planner-snooze.cpp
     planner-month.cpp
     planner-range.cpp
     planner-upcoming.cpp
     settings-live.cpp
     snap.cpp
     sound.cpp
     timezone-geoclue.cpp
     timezones-live.cpp
     timezone-timedated.cpp
     utils.c
     wakeup-timer-mainloop.cpp
     wakeup-timer-powerd.cpp)

# generated sources
include (GdbusCodegen)
set(SERVICE_GENERATED_SOURCES)
add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-alarm-properties
                  org.ayatana.indicator
                  ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.datetime.AlarmProperties.xml)
if(HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS)
        add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-accounts-sound
                          com.ubuntu.touch
                          ${CMAKE_SOURCE_DIR}/src/com.ubuntu.touch.AccountsService.Sound.xml)
        add_definitions (-DHAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS)
endif()

# add warnings/coverage info on handwritten files
# but not the autogenerated ones...
set_source_files_properties(${SERVICE_CXX_SOURCES}
                            PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} ${GCOV_FLAGS} -g -std=c++11")
set_source_files_properties(${SERVICE_C_SOURCES}
                            PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} ${GCOV_FLAGS} -g -std=c99")

# add the bin dir to our include path so our code can find the generated header files
include_directories (${CMAKE_CURRENT_BINARY_DIR})

add_library (${SERVICE_LIB} STATIC ${SERVICE_C_SOURCES} ${SERVICE_CXX_SOURCES} ${SERVICE_GENERATED_SOURCES})
include_directories (${CMAKE_SOURCE_DIR})
link_directories (${SERVICE_DEPS_LIBRARY_DIRS})

add_executable (${SERVICE_EXEC} main.cpp)
set_source_files_properties(${SERVICE_SOURCES} main.cpp PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} -g -std=c++11")
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES} ${GCOV_LIBS} ${URLDISPATCHER_LIBRARIES})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})

=== tests/CMakeLists.txt ===
# build libgtest
add_library (gtest STATIC
             ${GTEST_SOURCE_DIR}/gtest-all.cc
             ${GTEST_SOURCE_DIR}/gtest_main.cc)
set_target_properties (gtest PROPERTIES INCLUDE_DIRECTORIES ${INCLUDE_DIRECTORIES} ${GTEST_INCLUDE_DIR})
set_target_properties (gtest PROPERTIES COMPILE_FLAGS ${COMPILE_FLAGS} -w)

SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -g ${CC_WARNING_ARGS}")

# dbustest
pkg_check_modules(DBUSTEST REQUIRED
                  dbustest-1>=14.04.0)
include_directories (SYSTEM ${DBUSTEST_INCLUDE_DIRS})

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the ayatana-indicator-datetime schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.datetime.gschema.xml
                    COMMAND cp -f ${CMAKE_BINARY_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

# look for headers in our src dir, and also in the directories where we autogenerate files...
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_BINARY_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR})
include_directories (${DBUSTEST_INCLUDE_DIRS})


add_definitions (-DSANDBOX="${CMAKE_CURRENT_BINARY_DIR}")
add_definitions (-DG_LOG_DOMAIN="ayatana-indicator-datetime")

function(add_test_by_name name)
  set (TEST_NAME ${name})
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  add_test (${TEST_NAME} ${TEST_NAME})
  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS} ${URLDISPATCHER_LIBRARIES})
endfunction()
add_test_by_name(test-datetime)
if(HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS)
add_test_by_name(test-snap)
endif()
add_test_by_name(test-actions)
add_test_by_name(test-alarm-queue)
add_test(NAME dear-reader-the-next-test-takes-60-seconds COMMAND true)
add_test_by_name(test-clock)
add_test_by_name(test-exporter)
add_test_by_name(test-formatter)
add_test_by_name(test-live-actions)
add_test_by_name(test-locations)
add_test_by_name(test-menus)
add_test_by_name(test-planner)
add_test_by_name(test-settings)
add_test_by_name(test-timezone-timedated)
add_test_by_name(test-utils)

if(HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS)
  set (TEST_NAME manual-test-snap)
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
endif()

##
## EDS Tests
##

find_program(DBUS_RUNNER dbus-test-runner)

function(add_eds_ics_test_by_name name)
  set (TEST_NAME ${name})
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TEST_NAME}.ics.in"
                 "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics")
  add_executable(${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBS})
  add_test (${TEST_NAME}
            ${CMAKE_CURRENT_SOURCE_DIR}/run-eds-ics-test.sh
            ${DBUS_RUNNER}                                         # arg1: dbus-test-runner exec
            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}               # arg2: test executable path
            ${TEST_NAME}                                           # arg3: test name
            ${CMAKE_CURRENT_SOURCE_DIR}/test-eds-ics-config-files  # arg4: base directory for config file template
            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics)          # arg5: the ical file for this test
endfunction()
add_eds_ics_test_by_name(test-eds-ics-all-day-events)
add_eds_ics_test_by_name(test-eds-ics-repeating-events)
add_eds_ics_test_by_name(test-eds-ics-nonrepeating-events)
add_eds_ics_test_by_name(test-eds-ics-repeating-valarms)
add_eds_ics_test_by_name(test-eds-ics-missing-trigger)
add_eds_ics_test_by_name(test-eds-ics-tzids)
add_eds_ics_test_by_name(test-eds-ics-tzids-2)

# disabling the timezone unit tests because they require
# https://code.launchpad.net/~ted/dbus-test-runner/multi-interface-test/+merge/199724
# which hasn't landed yet. These can be re-enabled as soon as that lands.
#function(add_dbusmock_test_by_name name)
#  set (TEST_NAME ${name})
#  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
#  add_test (${TEST_NAME} ${TEST_NAME})
#  target_link_libraries (${TEST_NAME} indicatordatetimeservice gtest ${SERVICE_DEPS_LIBRARIES} ${DBUSTEST_LIBRARIES} ${GTEST_LIBS})
#endfunction()
#add_dbusmock_test_by_name(test-timezone-geoclue)
#add_dbusmock_test_by_name(test-timezones)

=== debian/changelog ===
ayatana-indicator-datetime (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001_port-to-lomiri-url-dispatcher.patch. Port to Lomiri URL
      Dispatcher.
  * debian/control:
    + Fix wrong Github project in Homepage: field's URL. (Closes: #974742).
    + Fix capitalization of the word 'Xfce'.
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Add B-D: liblomiri-url-dispatcher-dev.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Feb 2021 12:36:06 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libical-dev (>= 1.0),
                libedataserver1.2-dev (>= 3.5),
 #              accountsservice-ubuntu-schemas,
-#              liburl-dispatcher1-dev,
+               liblomiri-url-dispatcher-dev (>= 0.1),
                libproperties-cpp-dev,
 # for the test harness:
                libgtest-dev,
@@ -33,9 +33,9 @@
                systemd [linux-any],
 # for phone alarm/calendar notification sound tests:
 #              ubuntu-touch-sounds,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://github.com/ArcticaProject/ayatana-indicator-datetime
+Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
 Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime/
 
@@ -55,5 +55,5 @@
  event management tool.
  .
  Ayatana Indicators are only available on desktop environments that
- provide a renderer for system indicators (such as MATE, XFCE, Lomiri,
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
  etc.).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Denable_tests=OFF

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-datetime 22.2.0

=== CMakeLists.txt ===
project (ayatana-indicator-datetime C CXX)
cmake_minimum_required (VERSION 3.13)

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

set (PROJECT_VERSION "22.2.0")
set (PACKAGE ${CMAKE_PROJECT_NAME})

# Options
option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas and media" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

add_definitions("-Wno-sign-compare") # Needed for GTest on Ubuntu

##
##  GNU standard installation directories
##

include (GNUInstallDirs)

##
## Gettext
##

set (GETTEXT_PACKAGE "ayatana-indicator-datetime")
add_definitions (-DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
                 -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")

##
##  Check for prerequisites
##

find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)

set (
    SERVICE_DEPS
    libayatana-common>=0.9.3
    glib-2.0>=2.36
    gio-unix-2.0>=2.36
    libical>=0.48
    libecal-2.0>=3.16
    libedataserver-1.2>=3.5
    gstreamer-1.0>=1.2
    libnotify>=0.7.6
    properties-cpp>=0.0.1
    libaccounts-glib>=1.18
    messaging-menu>=0.8.2
    uuid>=2.25
)

if (ENABLE_LOMIRI_FEATURES)
    list (
        APPEND
        SERVICE_DEPS
        lomiri-url-dispatcher>=0
        lomiri-sounds
        lomiri-schemas
    )

    pkg_get_variable(ALARM_DEFAULT_SOUND lomiri-sounds alarm_default_sound)
    pkg_get_variable(CALENDAR_DEFAULT_SOUND lomiri-sounds calendar_default_sound)
    string(JOIN " " ALARM_DEFAULT_SOUND ${ALARM_DEFAULT_SOUND})
    string(JOIN " " CALENDAR_DEFAULT_SOUND ${CALENDAR_DEFAULT_SOUND})

    add_definitions (
        -DLOMIRI_FEATURES_ENABLED
        -DALARM_DEFAULT_SOUND="${ALARM_DEFAULT_SOUND}"
        -DCALENDAR_DEFAULT_SOUND="${CALENDAR_DEFAULT_SOUND}"
    )
else ()
    add_definitions (
        -DALARM_DEFAULT_SOUND="dummy"
        -DCALENDAR_DEFAULT_SOUND="dummy"
    )
endif ()

pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

##
##  custom targets
##

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

##
##  Actual building
##

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

# actually build things
add_subdirectory(include)
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

# testing & coverage
if (ENABLE_TESTS)

    include(CTest)
    pkg_check_modules (DBUSTEST REQUIRED dbustest-1>=14.04.0)
    enable_testing()
    add_subdirectory(tests)

    if (ENABLE_COVERAGE)

        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
        TARGETS indicatordatetimeservice ayatana-indicator-datetime-service
        TESTS ${COVERAGE_TEST_TARGETS}
        FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )

    endif()

endif()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
message(STATUS "Build with Lomiri features: ${ENABLE_LOMIRI_FEATURES}")

=== tests/CMakeLists.txt ===
find_package(GMock REQUIRED)

# dbustest
pkg_check_modules(DBUSTEST REQUIRED
                  dbustest-1>=14.04.0)
include_directories (SYSTEM ${DBUSTEST_INCLUDE_DIRS})

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the ayatana-indicator-datetime schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.datetime.gschema.xml
                    COMMAND cp -n ${CMAKE_BINARY_DIR}/data/*gschema.xml ${SCHEMA_DIR} || echo "Skip copying schema file, another thread is doing it already"
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

# look for headers in our src dir, and also in the directories where we autogenerate files...
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_BINARY_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR})
include_directories (${DBUSTEST_INCLUDE_DIRS})


add_definitions (-DSANDBOX="${CMAKE_CURRENT_BINARY_DIR}")
add_definitions (-DG_LOG_DOMAIN="ayatana-indicator-datetime")

function(add_test_by_name name)
  set (TEST_NAME ${name})
  set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  target_link_options(${TEST_NAME} PRIVATE -no-pie)
  add_test (${TEST_NAME} ${TEST_NAME})
  target_link_libraries (${TEST_NAME} indicatordatetimeservice ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
endfunction()
add_test_by_name(test-datetime)

if (ENABLE_LOMIRI_FEATURES)
    add_test_by_name(test-sound)
    # This one only succeeds on Lomiri because it needs hfd-service
    # add_test_by_name(test-notification)
    add_test_by_name(test-notification-response)
endif()

add_test_by_name(test-actions)
add_test_by_name(test-alarm-queue)
add_test(NAME dear-reader-the-next-test-takes-60-seconds COMMAND true)
add_test_by_name(test-clock)
# This one is fine, but hangs on Travis CI
# add_test_by_name(test-exporter)
add_test_by_name(test-formatter)
add_test_by_name(test-live-actions)
add_test_by_name(test-locations)
add_test_by_name(test-menu-appointments)
# This one is fine, but hangs on Travis CI
# add_test_by_name(test-menus)
add_test_by_name(test-planner)
add_test_by_name(test-settings)
add_test_by_name(test-timezone-timedated)
add_test_by_name(test-utils)

if (ENABLE_LOMIRI_FEATURES)
  set (TEST_NAME manual-test-snap)
  set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME})
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp)
  target_link_options(${TEST_NAME} PRIVATE -no-pie)
  target_link_libraries (${TEST_NAME} indicatordatetimeservice ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
endif()

##
## EDS Tests
##

find_program(DBUS_RUNNER dbus-test-runner)

function(add_eds_ics_test_by_name name)
  set (TEST_NAME ${name})
  set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TEST_NAME}.ics.in"
                 "${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics")
  add_executable(${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  target_link_options(${TEST_NAME} PRIVATE -no-pie)
  target_link_libraries (${TEST_NAME} indicatordatetimeservice ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
  add_test (${TEST_NAME}
            ${CMAKE_CURRENT_SOURCE_DIR}/run-eds-ics-test.sh
            ${DBUS_RUNNER}                                         # arg1: dbus-test-runner exec
            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}               # arg2: test executable path
            ${TEST_NAME}                                           # arg3: test name
            ${CMAKE_CURRENT_SOURCE_DIR}/test-eds-ics-config-files  # arg4: base directory for config file template
            ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}.ics           # arg5: the ical file for this test
            ${CMAKE_CURRENT_SOURCE_DIR}/accounts.db)               # arg6: online accounts database
endfunction()
add_eds_ics_test_by_name(test-eds-ics-all-day-events)
add_eds_ics_test_by_name(test-eds-ics-repeating-events)
add_eds_ics_test_by_name(test-eds-ics-nonrepeating-events)
add_eds_ics_test_by_name(test-eds-ics-repeating-valarms)
add_eds_ics_test_by_name(test-eds-ics-missing-trigger)
add_eds_ics_test_by_name(test-eds-ics-tzids)
add_eds_ics_test_by_name(test-eds-ics-tzids-2)
add_eds_ics_test_by_name(test-eds-ics-tzids-utc)
add_eds_ics_test_by_name(test-eds-ics-non-attending-alarms)
add_eds_ics_test_by_name(test-eds-ics-repeating-events-with-individual-change)

function(add_dbusmock_test_by_name name)
  set (TEST_NAME ${name})
  set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  add_executable (${TEST_NAME} ${TEST_NAME}.cpp gschemas.compiled)
  target_link_options(${TEST_NAME} PRIVATE -no-pie)
  add_test (${TEST_NAME} ${TEST_NAME})
  target_link_libraries (${TEST_NAME} indicatordatetimeservice ${SERVICE_DEPS_LIBRARIES} ${DBUSTEST_LIBRARIES} ${GTEST_LIBRARIES} ${GMOCK_LIBRARIES})
endfunction()
add_dbusmock_test_by_name(test-timezone-geoclue)
add_dbusmock_test_by_name(test-timezones)

set(
  COVERAGE_TEST_TARGETS
  ${COVERAGE_TEST_TARGETS}
  PARENT_SCOPE
)

=== debian/changelog ===
ayatana-indicator-datetime (22.2.0-1ubuntu0) jammy; urgency=medium

  * Disable Lomiri features so ayatana-indicator-datetime can build on
    Ubuntu.

 -- Martin Wimpress <code@wimpress.io>  Wed, 09 Mar 2022 16:49:41 +0000

ayatana-indicator-datetime (22.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Add B-Ds: lomiri-schemas and lomiri-sounds.
    + Sort B-Ds.
    + Add B-D liblomiri-url-dispatcher-dev for enabled Lomiri features.
  * debian/rules:
    + Add build flag '-DENABLE_LOMIRI_FEATURES'.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Feb 2022 20:41:40 +0100

ayatana-indicator-datetime (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Update build requirements in B-D: field. Also add <!nocheck> flags.
    + Bump Standards-Version: 4.6.0. No changes needed.
  * debian/rules:
    + Enable unit tests.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Nov 2021 21:24:11 +0100

ayatana-indicator-datetime (0.8.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #995279).
  * debian/patches:
    + Drop 0001_port-to-lomiri-url-dispatcher.patch. Shipped upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 19 Oct 2021 10:16:58 +0200

=== debian/control ===
--- 
+++ 
@@ -11,29 +11,30 @@
                debhelper-compat (= 13),
                intltool,
                libaccounts-glib-dev (>= 1.18),
+               libayatana-common-dev (>= 0.9.3),
+               libecal2.0-dev (>= 3.16) | libecal1.2-dev (>= 3.16),
+               libedataserver1.2-dev (>= 3.5),
                libglib2.0-dev (>= 2.35.4),
+               libgstreamer1.0-dev,
+               libical-dev (>= 1.0),
+               libmessaging-menu-dev,
                libnotify-dev (>= 0.7.6),
-               libgstreamer1.0-dev,
-               libecal2.0-dev (>= 3.16) | libecal1.2-dev (>= 3.16),
-               libical-dev (>= 1.0),
-               libedataserver1.2-dev (>= 3.5),
-#              accountsservice-ubuntu-schemas,
-               liblomiri-url-dispatcher-dev (>= 0.1),
                libproperties-cpp-dev,
+               uuid-dev,
 # for the test harness:
-               libgtest-dev,
-               libdbustest1-dev,
-               dbus-test-runner,
-               python3-dbusmock,
+               dbus-test-runner <!nocheck>,
+               libdbustest1-dev <!nocheck>,
+               libgtest-dev <!nocheck>,
+               python3-dbusmock <!nocheck>,
 # for 12h/24h locale unit tests:
-               locales,
+               locales <!nocheck>,
 # for running live EDS tests:
-               evolution-data-server,
-               gvfs-daemons,
-               systemd [linux-any],
-# for phone alarm/calendar notification sound tests:
-#              ubuntu-touch-sounds,
-Standards-Version: 4.5.1
+               evolution-data-server <!nocheck>,
+               gvfs-daemons <!nocheck>,
+               systemd [linux-any] <!nocheck>,
+# for tests that require the org.ayatana.common GSchema
+               ayatana-indicator-common <!nocheck>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,24 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+DEB_CMAKE_EXTRA_FLAGS = \
+    -DENABLE_LOMIRI_FEATURES=OFF \
+    -DENABLE_TESTS=ON \
+    -DENABLE_COVERAGE=OFF \
+    $(NULL)
+
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Denable_tests=OFF
+	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
 
 override_dh_missing:
 	dh_missing --fail-missing
 
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
+
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..

## ayatana-indicator-datetime 22.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
-set (PROJECT_VERSION "22.2.0")
+set (PROJECT_VERSION "22.9.0")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options

=== debian/changelog ===
ayatana-indicator-datetime (22.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/*.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 01 Oct 2022 10:48:58 +0200

## ayatana-indicator-datetime 22.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
-set (PROJECT_VERSION "22.9.0")
+set (PROJECT_VERSION "22.9.1")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options

=== data/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 ##  GSettings schema
 ##
 
-include (UseGSettings)
 set (SCHEMA_NAME "org.ayatana.indicator.datetime.gschema.xml")
 set (SCHEMA_FILE_IN_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SCHEMA_NAME}.in.in")
 set (SCHEMA_FILE_IN    "${CMAKE_CURRENT_BINARY_DIR}/${SCHEMA_NAME}.in")
@@ -10,11 +9,13 @@
 # generate the .xml.in file so cmake constants are included
 configure_file(${SCHEMA_FILE_IN_IN} ${SCHEMA_FILE_IN})
 # generate the .xml file using intltool
+find_package(Intltool REQUIRED)
 set (ENV{LC_ALL} "C")
-execute_process (COMMAND intltool-merge -quiet --xml-style --utf8 --no-translations "${SCHEMA_FILE_IN}" "${SCHEMA_FILE}")
+intltool_merge_translations("${SCHEMA_FILE_IN}" "${SCHEMA_FILE}" ALL UTF8 STYLE "xml" NO_TRANSLATIONS)
 
-# let UseGSettings do the rest
-add_schema (${SCHEMA_FILE})
+# let GSettings do the rest
+find_package(GSettings REQUIRED)
+add_schema (${SCHEMA_NAME})
 
 ##
 ##  Systemd Unit File
@@ -31,7 +32,6 @@
     set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")
 
     # build it
-    set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
     configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")
 
     # install it
@@ -52,10 +52,9 @@
 set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")
 
 # build it
-set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
 configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")
 
-# install it
+# install XDG autostart
 install (FILES "${XDG_AUTOSTART_FILE}"
          DESTINATION "${XDG_AUTOSTART_DIR}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -47,19 +47,12 @@
 add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-alarm-properties
                   org.ayatana.indicator
                   ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.datetime.AlarmProperties.xml)
-if(HAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS)
+
+if (ENABLE_LOMIRI_FEATURES)
         add_gdbus_codegen(SERVICE_GENERATED_SOURCES dbus-accounts-sound
-                          com.ubuntu.touch
-                          ${CMAKE_SOURCE_DIR}/src/com.ubuntu.touch.AccountsService.Sound.xml)
-        add_definitions (-DHAVE_UT_ACCTSERVICE_SYSTEMSOUND_SETTINGS)
+                          com.lomiri.touch
+                          /usr/share/accountsservice/interfaces/com.lomiri.touch.AccountsService.Sound.xml)
 endif()
-
-# add warnings/coverage info on handwritten files
-# but not the autogenerated ones...
-set_source_files_properties(${SERVICE_CXX_SOURCES}
-                            PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} ${GCOV_FLAGS} -g -std=c++11")
-set_source_files_properties(${SERVICE_C_SOURCES}
-                            PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} ${GCOV_FLAGS} -g -std=c99")
 
 # add the bin dir to our include path so our code can find the generated header files
 include_directories (${CMAKE_CURRENT_BINARY_DIR})
@@ -69,6 +62,5 @@
 link_directories (${SERVICE_DEPS_LIBRARY_DIRS})
 
 add_executable (${SERVICE_EXEC} main.cpp)
-set_source_files_properties(${SERVICE_SOURCES} main.cpp PROPERTIES COMPILE_FLAGS "${CXX_WARNING_ARGS} -g -std=c++11")
-target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES} ${GCOV_LIBS} ${URLDISPATCHER_LIBRARIES})
-install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION ${CMAKE_INSTALL_FULL_PKGLIBEXECDIR})
+target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES})
+install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

=== debian/changelog ===
ayatana-indicator-datetime (22.9.1-1+deb12u1) bookworm; urgency=medium

  * debian/patches:
    + Add 0001_engine-eds-fix-retrieving-custom-alarm-sound-path.patch. Fix
      playing of custom alarm sounds. (Closes: #1037330).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Jun 2023 17:54:33 +0200

ayatana-indicator-datetime (22.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Nov 2022 17:06:05 +0100

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,10 @@
                libnotify-dev (>= 0.7.6),
                libproperties-cpp-dev,
                uuid-dev,
+# for lomiri features
+               lomiri-schemas (>= 0.1.1),
+               lomiri-sounds (>= 22.02),
+               liblomiri-url-dispatcher-dev,
 # for the test harness:
                dbus-test-runner <!nocheck>,
                libdbustest1-dev <!nocheck>,
@@ -34,7 +38,7 @@
                systemd [linux-any] <!nocheck>,
 # for tests that require the org.ayatana.common GSchema
                ayatana-indicator-common <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 DEB_CMAKE_EXTRA_FLAGS = \
-    -DENABLE_LOMIRI_FEATURES=OFF \
+    -DENABLE_LOMIRI_FEATURES=ON \
     -DENABLE_TESTS=ON \
     -DENABLE_COVERAGE=OFF \
     $(NULL)

## ayatana-indicator-datetime 23.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
 endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
 
-set (PROJECT_VERSION "22.9.1")
+set (PROJECT_VERSION "23.6.0")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -108,6 +108,7 @@
 add_eds_ics_test_by_name(test-eds-ics-tzids-utc)
 add_eds_ics_test_by_name(test-eds-ics-non-attending-alarms)
 add_eds_ics_test_by_name(test-eds-ics-repeating-events-with-individual-change)
+add_eds_ics_test_by_name(test-eds-ics-alarm-custom-sound)
 
 function(add_dbusmock_test_by_name name)
   set (TEST_NAME ${name})

=== debian/changelog ===
ayatana-indicator-datetime (23.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Fix playing custom alarm sounds set up via lomiri-clock-app.
      (Closes: #1037330).
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Jun 2023 16:33:56 +0200

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                systemd [linux-any] <!nocheck>,
 # for tests that require the org.ayatana.common GSchema
                ayatana-indicator-common <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-datetime
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-datetime.git
